ImageMagick sérülékenysége

CH azonosító

CH-13608

Angol cím

ImageMagick vulnerability

Felfedezés dátuma

2016.10.04.

Súlyosság

Magas

Érintett rendszerek

ImageMagick

Érintett verziók

ImageMagick

Összefoglaló

Az ImageMagick magas kockázati besorolású sérülékenységei váltak ismertté, amelyeket kihasználva a támadó tetszőleges kódot futtathat a rendszeren. A sérülékenységeket kiküszöbölő megoldás még nem szerezhető be a gyártótól.

Leírás

A sérülékenységeket a ghostscript hibái okozzák, és az összes kihasználására lehetőség van PDF, PS, vagy bármilyen hasonló formátum alatt (például XPS)

  1. Többféle felhaszálói paraméter is lehetővé teszi a %pipe%-ot az útvonalakban, amellyel távoli kódfuttatás érhető el.
  2. A .libfile nem ellenőrzi a PermitFileReading tömböt, ami távoli fájlelérést tesz lehetővé.
  3. A .setdevice hivatkozás szivárgási hibája memória korrupciót és távoli kódfuttatást tesz lehetővé.
  4. A .initialize_dsc_parser típus kényszerítési hibája távoli kódfuttatást tesz lehetővé.

Megoldás

Ismeretlen

Megoldás

Tiltsa a PS, EPS, PDF, és XPS kódolókat a plicy.xml-ben.